Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.protocol
Class PlugInException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.wli.common.WliException
                        |
                        +--com.bea.b2b.B2BException
                              |
                              +--com.bea.b2b.protocol.PlugInException

Deprecated. A PlugInException is thrown if a problem occurs while setting up or processing a logic plug-in.

public class PlugInException
extends B2BException

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.wli.common.WliException
`nested, stackTrace`

Constructor Summary
`PlugInException()` Deprecated. Constructs a PlugInException.
`PlugInException(java.lang.String msg)` Deprecated. Constructs a PlugInException with the specified message.

Methods inherited from class com.bea.wli.common.WliException
`getNestedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlugInException

    public PlugInException(java.lang.String msg)

  Deprecated.
  Constructs a PlugInException with the specified message.

  Parameters:
    `msg` - Message text.

### PlugInException

    public PlugInException()

  Deprecated.
  Constructs a PlugInException.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)